Subject: Re: bug#20499: C-x 8 shorthands for curved quotes, Euro, etc.

From: Ivan Shmakov <[email-masked]>
Date: Tue, 05 May 2015 16:20:50 +0000

>>>>> Eli Zaretskii <[email-masked]> writes:
>>>>> Date: Tue, 05 May 2015 10:38:53 -0400  From: Richard Stallman

[…]

 > As for showing the glyphs, visiting a file with large number of
 > characters runs a high risk of being an annoyance due to the
 > corresponding fonts being unavailable on the system.  E. g., "C-h H",
 > which only shows a small part of those, takes 4 sec on my system with
 > an optimized build, and about 6 in a non-optimized build.

 > So if we provide such a command, IMO we should prompt for a block of
 > codepoints, and display only that block.

	No objection on my part, but I’d rather provide the “buttons” to
	move to the previous and next blocks in that same buffer.

	OTOH, what would it take to improve the display time in such a
	case?  Unless I be mistaken, other (as in: mainstream; think of,
	say, Firefox) software generally /does/ handle that case
	reasonably well.

 >> If you type RET on a character, it should visit
 >> admin/unidata/UnicodeData.txt and move to the corresponding line.

 > I'm not sure showing UnicodeData.txt in its raw form will be useful.
 > Most people won't know how to interpret the attributes encoded there,
 > about the only understandable parts are the codepoint and the name.

	What about NamesList.txt?

 > And we already show this in human-readable form in "C-u C-x =", so we
 > could simply reuse the same code here.

	The problem with C-u C-x = is that it describes a single
	character a time, while it may be beneficial to see some
	“related” (in either name or number) characters as well.

-- 
FSF associate member #7257  http://am-1.org/~ivan/      … 3013 B6A0 230E 334A